| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::RequestableChannelClassSpecList Class Reference
Wrapper classes

The RequestableChannelClassSpecList class represents a list of RequestableChannelClassSpec. More...

`#include <TelepathyQt/RequestableChannelClassSpecList>`

Inherits QList< RequestableChannelClassSpec >.

## Public Member Functions

| RequestableChannelClassSpecList ()
| RequestableChannelClassSpecList (const RequestableChannelClass &rcc)
| RequestableChannelClassSpecList (const RequestableChannelClassList &rccs)
| RequestableChannelClassSpecList (const RequestableChannelClassSpec &rccSpec)
| RequestableChannelClassSpecList (const QList< RequestableChannelClassSpec > &other)
RequestableChannelClassList | bareClasses () const

## Detailed Description

The RequestableChannelClassSpecList class represents a list of RequestableChannelClassSpec.

## Constructor & Destructor Documentation

Tp::RequestableChannelClassSpecList::RequestableChannelClassSpecList | ( |  | ) |

inline

Tp::RequestableChannelClassSpecList::RequestableChannelClassSpecList | ( | const RequestableChannelClass & | rcc | ) |

inline

Tp::RequestableChannelClassSpecList::RequestableChannelClassSpecList | ( | const RequestableChannelClassList & | rccs | ) |

inline

Tp::RequestableChannelClassSpecList::RequestableChannelClassSpecList | ( | const RequestableChannelClassSpec & | rccSpec | ) |

inline

Tp::RequestableChannelClassSpecList::RequestableChannelClassSpecList | ( | const QList< RequestableChannelClassSpec > & | other | ) |

inline

## Member Function Documentation

RequestableChannelClassList Tp::RequestableChannelClassSpecList::bareClasses | ( |  | ) | const

inline